Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
06133 Documentation Typo Always Feb 2, 2016, 22:49 Aug 18, 2017, 19:26
Tester ketburai View Status Public Platform MAME (Official Binary)
Assigned To Resolution Open OS
Status [?] Acknowledged Driver taito_f3.cpp
Version 0.170 Fixed in Version Build
Summary 06133: gunlock, rayforcej, rayforce, dariusgx, dariuse, futaribl, lightbr, dungeonm, dungeonmu, lightbrj: Incorrect year
Description Here's one that's made itself even more apparent recently. For the longest time, this has been referred to as a 1993 game, even though the game itself says it was completed in 1994 and all Japanese sources say 1994 (because English sources frequently use MAME as a source). At some point, the program dates for some Taito games were added to the display name, making this all the more apparent.

Darius Gaiden Extra Version is similar. The program date has 1995, yet it's listed as a 1994 release. Also, I'm not really sure we need the "Official Hack" badge, it's a bit of an oxymoron. It's no more of a "hack" than any other version of any other game.

Darius Extra Version is also similar. Extra Version was a revised edition of the game based on player feedback, and is generally known as a 1987 release. It simply couldn't have been released in 1986, as the original game was released so late into 1986 (likely late December) that pretty much all print material relating to Darius was written in 1987.

Finally, we have Mushihimesama Futari Black Label Another Ver., another case of clear program date. At worst, it might have been released in 2010 somehow.

edit: Light Bringer. I wonder just how many of these there are.
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems gunlock, rayforcej, rayforce, dariusgx, dariuse, futaribl, lightbr, dungeonm, dungeonmu, lightbrj
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
8
User avatar
No.12382
NekoEd
Senior Tester
Feb 3, 2016, 20:48
If you can reference any additional proof, it will help your case.
User avatar
No.12387
ketburai
Tester
Feb 5, 2016, 18:56
It's kinda hard for a game that was completed in 1994 to be released in 1993.

Added Futari BL Another too, that's a similar issue.
User avatar
No.12388
NekoEd
Senior Tester
Feb 5, 2016, 19:06
This one seems very hotly debated. Let's get some developer opinions on this one if we can.

As it is, MAME policy is to use the date presented on the title screen as the canonical date.
User avatar
No.12389
ketburai
Tester
Feb 5, 2016, 19:14
edited on: Feb 5, 2016, 19:30
Where's the argument? This is people seriously trying to tell me that what the developer actually did does not matter in the slightest, and that some tiny legal graphic is all-important. This is people seriously trying to tell me that they are okay with outright lying to everyone that uses this program.

The copyright years never make sense. They make many assumptions about the future of the game's development, and they have nothing to do with the game's actual release. Japan is pretty good about actually tracking when arcade games get released, and a lot of later games have clear program dates that we can crossreference with sources for arcade releases. The copyright year literally means nothing when what is clearly a 2009 version of the game is going to be referred to as a 2007 game forever. Noone who uses MAME cares about "copyright years". They see that year in MAME match up with that year on the title screen and that game becomes whatever that year is for them. Pretty much every English source for arcade games completely relies on MAME for everything about the game, so this kind of thing persists for YEARS unless you can manage to convince people that MAME is inaccurate.

This is not a "debate". This has gone from a typo to a serious problem that needs to be fixed as soon as possible.

User avatar
No.12401
Fujix
Administrator
Feb 10, 2016, 08:37
**DEJA VU**

I feel I ve seen the same argument more than a decade ago.
User avatar
No.12496
AJR
Developer
Mar 30, 2016, 14:58
There are already a few cases where MAME has broken with the "title screen as the canonical date" rule. fantzn2x and shinfz have the date field set to 2008 in spite of being copyrighted to 1987 and 2006 respectively.
User avatar
No.12498
Tafoid
Administrator
Mar 30, 2016, 17:59
In those cases, there are reasons in the driver comments regarding the GAME entries.

segas16b.cpp:
// Extra RAM, dubbed by M2 as 'System 16C'
GAME( 2008, fantzn2x, 0, system16c, fz2, segas16b_state,generic_5704, ROT0, "Sega / M2", "Fantasy Zone II - The Tears of Opa-Opa (System 16C version)", 0 ) // The 1987 copyright date shown ingame is false
GAME( 2008, fantzn2xp, fantzn2x, system16c, fz2, segas16b_state,generic_5704, ROT0, "Sega / M2", "Fantasy Zone II - The Tears of Opa-Opa (System 16C version, prototype)", 0 ) // "
GAME( 2008, fantzoneta, fantzone, system16b, fantzoneta,segas16b_state,generic_5704, ROT0, "bootleg", "Fantasy Zone (Time Attack, bootleg)", 0 ) // based on the PS2 version, unlicensed PCB conversion
/* 03 */ GAME( 2008, shinfz, isgsm, isgsm, shinfz, isgsm_state,shinfz, ROT0, "bootleg (ISG)", "Shinobi / FZ-2006 (Korean System 16 bootleg) (ISG Selection Master Type 2006)", 0 ) // claims it's released in 2006, but set includes the PS2/S16 remake of Fantasy Zone II which is clearly from 2008

If there is a difference there is usually a reason why.
User avatar
No.12510
ketburai
Tester
Apr 3, 2016, 21:53
edited on: Apr 15, 2016, 18:14
Those look like very similar cases to what we have here. All you did was recognize that the program date is well beyond the copyright date, the exact same as I'm doing.

edit: Added Light Bringer.